Subject: bug#37299: 26.3; Emacs on OSX crashes when clicking menu items while using tramp

From: Robert Pluim <[email-masked]>
Date: Wed, 04 Sep 2019 21:41:56 +0200

>>>>> On Wed, 04 Sep 2019 10:00:36 +0200, Michael Albinus <[email-masked]> said:

    Michael> kiran.dasoju--- via "Bug reports for GNU Emacs, the Swiss army knife of
    Michael> text editors" <[email-masked]> writes:

    Michael> Hi,

    >> I am running emacs on Mac machine, when i connect to a remote machine
    >> over tramp start using menu items, after few clicks emacs crashes.

    Michael> Thanks for the report. It is the same as reported under bug number
    Michael> 24472, so I've merged them.

    Michael> Unfortunately, there's no solution yet. Personally, I don't use macOS,
    Michael> so I cannot investigate.

Iʼve stared at the code, and I canʼt see anything wrong with it. What
kind of debug would you want?

Robert

PS I tried clang's address leak detection, which didnʼt complain about anything.